package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.ConjugalRelation;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

/**
 * @Description: 夫妻关系未描述
 * @author: rengb
 * @time: 2020/3/10 14:02
 */
@Component
public class BEH0056 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        ConjugalRelation conjugalRelation = inputInfo.getBeHospitalizedDoc().getMaritalLabel().getConjugalRelation();
        long cont = inputInfo.getBeHospitalizedDoc().getMaritalLabel()
                .getFamily().stream()
                .filter(family -> family.getName().contains("配偶") && family.getDead()!=null).count();
        if (conjugalRelation != null) {
            if(StringUtil.isNotBlank(conjugalRelation.getName()) || cont > 0){
                status.set("0");
            }
        }else {
            status.set("0");
        }
    }

}