package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.BeHospitalizedDoc;
import com.lantone.qc.pub.model.entity.GeneralDesc;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * @ClassName : BEH0442
 * @Description :  现病史缺少发病以来二便描述
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0442 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        BeHospitalizedDoc beHospitalizedDoc = inputInfo.getBeHospitalizedDoc();
        if(beHospitalizedDoc != null && beHospitalizedDoc.getPresentLabel() != null){
            String text = beHospitalizedDoc.getPresentLabel().getText();
            if(text != null && (text.contains("便") || text.contains("血尿") || text.contains("多尿"))){
                return;
            }else {
                status.set("-1");
            }
        }
        /*List<GeneralDesc> generals = inputInfo.getBeHospitalizedDoc().getPresentLabel().getGenerals();
        if(generals.size() > 0 || generals != null){
            for (GeneralDesc general:generals) {
                if(general.getName().contains("二便") || general.getName().contains("小便")
                        ||general.getName().contains("大便")||general.getName().contains("大小便")){
                    status.set("0");
                    break;
                }
            }
        }*/

    }
}