package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.BeHospitalizedDoc;
import com.lantone.qc.pub.model.entity.GeneralDesc;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * @ClassName : BEH0443
 * @Description :  现病史缺少发病以来体重描述
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0443 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        BeHospitalizedDoc beHospitalizedDoc = inputInfo.getBeHospitalizedDoc();
        if(beHospitalizedDoc != null && beHospitalizedDoc.getPresentLabel() != null){
            String text = beHospitalizedDoc.getPresentLabel().getText();
            if(text != null && text.contains("体重")){
                return;
            }else {
                status.set("-1");
            }
        }

    }
}