package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.GeneralDesc;
import com.lantone.qc.pub.model.label.PresentLabel;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * @ClassName : BEH0445
 * @Description :  现病史缺少发病以来睡眠描述
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0445 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        PresentLabel presentLabel = inputInfo.getBeHospitalizedDoc().getPresentLabel();
        String text = presentLabel.getText();
        if(text != null){
            if(text.contains("睡眠")|| text.contains("纳眠")|| text.contains("入睡")){
                status.set("0");
            }
        }
    }
}