package com.lantone.qc.kernel.catalogue.firstcourserecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.FirstCourseRecordDoc;
import com.lantone.qc.pub.model.label.TreatPlanLabel;
import org.springframework.stereotype.Component;

/**
 * @ClassName : FIRC0092
 * @Description : 治疗措施不具体
 * @Author : 胡敬
 * @Date: 2020-03-24 15:21
 */
@Component
public class FIRC0092 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        FirstCourseRecordDoc firstCourseRecordDoc = inputInfo.getFirstCourseRecordDoc();
        if (firstCourseRecordDoc != null) {
            TreatPlanLabel treatPlanLabel = firstCourseRecordDoc.getTreatPlanLabel();
            if (treatPlanLabel.getNursingLevel() != null &&
                    (treatPlanLabel.getMedicine() != null || treatPlanLabel.getTreat().size() > 0)) {
                status.set("0");
            }
        }
    }
}