package com.lantone.qc.kernel.catalogue.leavehospital;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.DeathRecordDoc;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

/**
 * @Description: 出院记录内容缺出院时间
 * @author: rengb
 * @time: 2020/3/10 13:53
 */
@Component
public class LEA0396 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        DeathRecordDoc deathRecordDoc = inputInfo.getDeathRecordDoc();
        if(deathRecordDoc == null || deathRecordDoc.getText() == null){
            status.set("0");
        }else {
            String time = inputInfo.getLeaveHospitalDoc().getStructureMap().get("出院时间");
            if (StringUtil.isNotBlank(time)) {
                status.set("0");
            }
        }

    }
}
