package com.lantone.qc.trans.comsis;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.FileUtil;
import com.lantone.qc.pub.util.MapUtil;
import com.lantone.qc.pub.util.StringUtil;
import com.lantone.qc.trans.changx.util.CxXmlUtil;
import com.lantone.qc.trans.taizhou.util.TzXmlUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: rengb
 * @time: 2020/4/2 14:04
 */
public class OrdinaryAssistant {

    public static Map<String, String> mapKeyContrast(Map<String, String> sourceMap, List<String> keyContrasts) {
        Map<String, String> retMap = Maps.newHashMap();
        Map<String, String> sourceMap_ = MapUtil.copyMap((Map) sourceMap);
        String[] arry = null;
        String sourceKey = null, targetKey;
        for (String keyContrast : keyContrasts) {
            arry = keyContrast.split("=");
            sourceKey = arry[0];
            if (arry.length == 1) {
                targetKey = arry[0];
            } else {
                targetKey = arry[1];
            }
            retMap.put(targetKey, sourceMap_.get(sourceKey));
            sourceMap_.remove(sourceKey);
        }
        retMap.putAll(sourceMap_);
        return retMap;
    }

    public static void main(String[] args) {
        changx();
    }

    public static void taizhou() {
        String msg = FileUtil.fileRead("C:\\Users\\RGB\\Desktop\\调试\\台州出院小结.xml");
        Map<String, String> map = TzXmlUtil.getXmlToMapForTZ(msg);
        map.keySet().forEach(key -> {
            System.out.println("\"" + key + "=\",");
        });
    }

    public static void changx() {
        String content = FileUtil.fileRead("C:\\Users\\RGB\\Desktop\\调试\\入院记录.txt");

        Map<String, String> xmlNodeValueMap = CxXmlUtil.firstLevelNodeValue("//DocObjContent//Region", content);
        Map<String, String> structureMap = OrdinaryAssistant.mapKeyContrast(xmlNodeValueMap, keyContrasts);

        String text = CxXmlUtil.getTextByNodePath(content, "//DocObjContent/Region/Content_Text");
        if (StringUtil.isBlank(text)) {
            text = CxXmlUtil.getTextByNodePath(content, "//DocObjContent/Region");
        }
        Map<String, String> cutWordMap = Preproc.getCutWordMap(true, sourceTitles, text);
        cutWordMap.putAll(structureMap);


        cutWordMap.keySet().forEach(key -> {
            System.out.println(key + "----" + cutWordMap.get(key));
        });


        //        xmlNodeValueMap.keySet().forEach(key -> {
        //            System.out.println("\"" + key + "=\",");
        //
        //        });


    }

    private static List<String> sourceTitles = Lists.newArrayList(
            "抢救时间",
            "记录时间",
            "记录医师",
            "抢救过程",
            "参与人员"
    );

    private static List<String> keyContrasts = Lists.newArrayList(
            "记录日期=记录时间",
            "病情变化情况=",
            "抢救时间及措施++++抢救措施=抢救过程",
            "参加抢救者的姓名及专业技术职称++++参加现场抢救的医师及护理人员=参与人员",
            "签名++++=记录医师",
            "签名时间=抢救时间"
    );

}