package com.lantone.qc.trans.taizhou;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.FirstCourseRecordDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.OrdinaryAssistant;
import com.lantone.qc.trans.taizhou.util.TzXmlUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description: 首次病程录文档生成
 * @author: rengb
 * @time: 2020/3/17 13:25
 */
public class TaiZhouFirstCourseRecordDocTrans extends ModelDocTrans {

    @Override
    public FirstCourseRecordDoc extract(MedrecVo medrecVo) {
        String content = ((List<String>) medrecVo.getContent().get("content")).get(0);

        Map<String, String> sourceMap = TzXmlUtil.getXmlToMapForTZ(content); // xml原始数据给华卓
        Map<String, String> structureMap = OrdinaryAssistant.mapKeyContrast(sourceMap, keyContrasts);
        FirstCourseRecordDoc firstCourseRecordDoc = new FirstCourseRecordDoc();
        firstCourseRecordDoc.setText(content);
        firstCourseRecordDoc.setStructureMap(structureMap);
        firstCourseRecordDoc.setPageData((Map)sourceMap);
        return firstCourseRecordDoc;
    }

    private List<String> keyContrasts = Lists.newArrayList(
            "鉴别诊断=",
            "检查计划=",
            "文书内容=",
            "病例特点=",
            "诊断依据=",
            "诊疗计划=",
            "医生=",
            "专科检查=",
            "拟诊讨论=",
            "血压=",
            "影像学检查=",
            "年龄=",
            "治疗计划和措施=",
            "主诉=",
            "床号=",
            "实验室检查=",
            "病人基本信息=",
            "医疗组长=",
            "性别=",
            "辅助检查结果=",
            "本人姓名=",
            "病历号=",
            "初步诊断=",
            "病历日期=记录时间",
            "现病史-发病情况=",
            "脉搏=",
            "入院日期=",
            "呼吸=",
            "临床科室=",
            "体温=",
            "病历状态="
            );

}