package com.lantone.qc.trans.taizhou;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.LeaveHospitalDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.OrdinaryAssistant;
import com.lantone.qc.trans.taizhou.util.TzXmlUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description: 出院小结文档生成
 * @author: rengb
 * @time: 2020/3/17 13:25
 */
public class TaiZhouLeaveHospitalDocTrans extends ModelDocTrans {

    @Override
    public LeaveHospitalDoc extract(MedrecVo medrecVo) {
        String content = ((List<String>) medrecVo.getContent().get("content")).get(0);

        Map<String, String> sourceMap = TzXmlUtil.getXmlToMapForTZ(content); // xml原始数据给华卓
        Map<String, String> structureMap = OrdinaryAssistant.mapKeyContrast(sourceMap, keyContrasts);
        LeaveHospitalDoc leaveHospitalDoc = new LeaveHospitalDoc();
        leaveHospitalDoc.setStructureMap(structureMap);
        leaveHospitalDoc.setText(content);
        leaveHospitalDoc.setPageData((Map)sourceMap);
        return leaveHospitalDoc;
    }

    private List<String> keyContrasts = Lists.newArrayList(
            "告知同意=",
            "文书内容=",
            "复诊科室=",
            "审核人=",
            "其它指导=",
            "病理诊断=",
            "事件日期=",
            "病理诊断（有无）=",
            "专科检查=",
            "特殊饮食指导=",
            "食物/药物间相互作用指导=",
            "事件基本信息=",
            "年龄=",
            "手术日期=",
            "床号=",
            "病人基本信息=",
            "其他=",
            "手术记录=",
            "手术过程=",
            "入院情况=",
            "辅助检查结果=",
            "本人姓名=姓名",
            "治疗=",
            "复诊地点=",
            "病历日期=签名时间",
            "出院状态=",
            "脉搏=",
            "呼吸=",
            "临床科室=",
            "住院诊治经过=",
            "审核=",
            "体温=",
            "责任医师=",
            "生活自理=",
            "活动=",
            "随访复访安排=",
            "入院原因=",
            "症状=",
            "知情同意签名=",
            "出院诊断=",
            "入院诊断=",
            "出院时情况=出院情况",
            "药物=",
            "医生=医师签名",
            "饮食指导=",
            "复诊时间=",
            "出院后去处=",
            "血压=",
            "影像学检查=",
            "内容=",
            "切口类别=",
            "拟接收医疗机构名称=",
            "出院时间=",
            "切口愈合等级=",
            "主诉=",
            "复诊目的=",
            "实验室检查=",
            "医疗组长=",
            "审核日期=",
            "性别=",
            "麻醉方式=",
            "病历号=",
            "入院日期=",
            "病人转归=",
            "出院指导=",
            "诊治经过=",
            "手术名称=",
            "病历状态=",
            "实际住院天数=",
            "出院医嘱=",
            "病理号=",
            "入院时间=",
            "出院情况=",
            "出院指导=注意事项",
            "随访计划=",
            "温馨提示="
            );

}