package com.lantone.qc.trans.taizhou.util;

import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.StringUtil;
import com.lantone.qc.trans.util.http.db.DBUtil;
import org.dom4j.Document;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.List;
import java.util.Map;

/**
 * @Description: xml解析工具
 * @author: rengb
 * @time: 2020/3/28 14:23
 */
public class TzXmlUtil {

    /**
     *  getText()获取当前节点的文本内容，getStringValue()获取所有子节点拼接后的文本内容
     *
     * @param xml
     * @return
     */

    public static Map<String, String> getXmlToMapForTZ(String xml) {
        Map<String, String> retMap = Maps.newHashMap();
        try {
            Document doc = DocumentHelper.parseText(xml);
            List<Element> emrTermElements = doc.getRootElement().element("TermList").elements("EMR-TERM");
            emrTermElements.forEach(emrTermElement -> {
                retMap.put(
                        StringUtil.removeBlank(emrTermElement.attributeValue("ename")),
                        emrTermElement.getStringValue().trim()
                );
            });
        } catch (Exception e) {
            e.printStackTrace();
        }
        return retMap;
    }


    /**
     * 测试入口
     * @param args
     */
    public static void main(String[] args) {

        String case_number = "547209_3";
        String mode_id = "4";
        String nodePath = "//DocObjContent";
        try {
            Connection connection = DBUtil.getConnection();
            Statement st = connection.createStatement();
            ResultSet rs = null;
            //执行查询
            String sql = "select mode_id, origin_text from qc_model_mapping where case_number='" + case_number + "' and mode_id='" + mode_id + "' order by id" ;
            rs = st.executeQuery(sql);
            //遍历
            while(rs.next()) {
                String context = rs.getString("origin_text");
//                Map<String, String> sourceMap = CxXmlUtil.firstLevelNodeValue(nodePath, context);
                Map<String, String> sourceMap = TzXmlUtil.getXmlToMapForTZ(context);
                for (String key : sourceMap.keySet()) {
                    System.out.println("\"" + key + "=\",");
                }
                break;
            }
            //进行资源释放
            DBUtil.release(connection, st, rs);
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
}